<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
}

// Pie de página
function Footer()
{
}
}
$pdf = new PDF('P','mm','letter');
$pdf->SetMargins(10, 7, 5, -1); // Margen izquierdo de 10, Superior 10 y se maneja un ancho de 200 para el contenido, Margen derecho de 5

// Creación del objeto de la clase heredada

$bdie=$_GET['bdie'];
$idi=$_GET['idi'];
$danesede=$_GET['danesede'];
$nomsede= $_GET['nomsede'];
$periodo= $_GET['periodo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];

include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$institucion=utf8_decode($registro["nemoie"]);
	$departamento=$registro["departamentoie"];
	$municipio=$registro["municipioie"];
	$dane=$registro["daneie"];
	$nit=$registro["nitie"];
	$resolucion=utf8_decode($registro["resolucionie"]);
	$rector=utf8_decode($registro["rectorie"]);
}

include("../php/conexion-bdie.php");
$contador=0;
$reggrados=mysql_query("Select grado From datos_grados Where idgrado='$grado'",$db_basededatosie);
if(mysql_num_rows($reggrados)>0){
	$FilaGrado=mysql_fetch_array($reggrados);
	$descripciongrado=$FilaGrado["grado"];
}
$descripciongrupo=substr($grupo,17,1);

$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$nuid=$FilaMatriculado["nuid"];
	$regestudiantes=mysql_query("Select nombres,apellidos,documento,rh,tipodocumento From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"]);
		$estudiantesdesordenados[$contador][1]=utf8_decode($FilaEstudiante["nombres"]);
		$estudiantesdesordenados[$contador][2]=$nuid;
		$estudiantesdesordenados[$contador][3]=$FilaEstudiante["tipodocumento"]." No.:   ".$FilaEstudiante["documento"];
		$estudiantesdesordenados[$contador][4]=$FilaEstudiante["rh"];
		$estudiantesdesordenados[$contador][5]=$descripciongrado;
		$estudiantesdesordenados[$contador][6]=$descripciongrupo;		
		$contador=$contador+1;
	}
}
$numerohojas=0;
// Ordenar el array ... 
if ($contador){
	$numerohojas=number_format(($contador/4)+1,0);
	sort($estudiantesdesordenados);
}
$numestudiante=0;
for ($numhojas=1;$numhojas<=$numerohojas;$numhojas++){
	$pdf->AddPage();
	for ($i=0;$i<=3;$i++){
		$pdf->Image('imagenes/fondo-carne.jpg',10,7+$i*59,100,59);
		$pdf->Image('imagenes/escudo.png',17,12+$i*59,20,22);
		$pdf->Image('imagenes/firmarector.jpg',150,36+$i*59,20,12);
		$pdf->Cell(100,59,'',1,0,'C');$pdf->Cell(100,59,'',1,0,'C');$pdf->Ln(8);
		$pdf->SetTextColor(20,77,41);$pdf->SetFont('Arial','B',12);$pdf->Cell(20);$pdf->Cell(80,5,$institucion,0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(3);	
		$pdf->SetFont('Arial','B',10);$pdf->Cell(20);$pdf->Cell(80,7,$nomsede,0,0,'C');
		$pdf->SetFont('Arial','',7);$pdf->SetTextColor(0);$pdf->Cell(100,5,'ESTE CARNET ES PERSONAL E INTRANSFERIBLE',0,0,'C');$pdf->Ln(3);
		$pdf->SetTextColor(20,77,41);$pdf->SetFont('Arial','',7);$pdf->Cell(20);$pdf->Cell(80,6,"Nit #: ".$nit."  Dane #: ".$dane,0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(13);
		
		
		$pdf->SetTextColor(59,31,46);$pdf->SetFont('Helvetica','B',14);$pdf->Cell(8);$pdf->Cell(55,5,$estudiantesdesordenados[$numestudiante][0],0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(5);
		$pdf->SetFont('Helvetica','B',12);$pdf->Cell(8);$pdf->Cell(55,5,$estudiantesdesordenados[$numestudiante][1],0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(8);
		$pdf->SetTextColor(0);$pdf->SetFont('Helvetica','B',9);$pdf->Cell(8);$pdf->Cell(55,5,$estudiantesdesordenados[$numestudiante][3],0,0,'L');$pdf->SetTextColor(0);$pdf->Cell(37,20,'',0,0,'C');$pdf->SetFont('Helvetica','B',8);$pdf->Cell(100,4,$rector,0,0,'C');$pdf->Ln(5);
		$pdf->SetTextColor(0);$pdf->SetFont('Helvetica','B',9);$pdf->Cell(8);$pdf->Cell(55,5,"Grupo Sanguineo:  ".$estudiantesdesordenados[$numestudiante][4],0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->SetFont('Helvetica','',7);$pdf->Cell(100,4,'Rector',0,0,'C');$pdf->Ln(5);
		$pdf->SetTextColor(0);$pdf->SetFont('Helvetica','B',9);$pdf->Cell(8);$pdf->Cell(55,5,"Grado:   ".$estudiantesdesordenados[$numestudiante][5]."    Curso: ".$estudiantesdesordenados[$numestudiante][6],0,0,'L');$pdf->SetTextColor(0);$pdf->Cell(37,20,'',0,0,'C');$pdf->SetFont('Helvetica','I',5);$pdf->Cell(100,4,'Código:  '.$estudiantesdesordenados[$numestudiante][2].'               -o-               Validez: Diciembre de 2014',0,0,'C');$pdf->Ln(5);
		$pdf->SetFont('Helvetica','B',9);$pdf->Cell(8);$pdf->Cell(55,5,'',0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(4);
		$numestudiante=$numestudiante+1;
	}
}

$pdf->Output();
?>